Description

I'd like to have support for plain HTML in the Wiki to be able to use tables and other stuff currently not supported by the markups.

Maybe something like {{{HMTL ... }}} can be used to put HTML code directly in the WiKi.

Usage Example:

{{{HTML

<table>

<tr><td>r1c1></td><td>r1c2</td></tr>

<tr><td>r2c1></td><td>r2c2</td></tr>

</table>

}}}

History

#1 - 2009-02-26 10:32 - Jérémie Delaitre

Using plain HTML is a must have for us too...

#2 - 2011-12-20 10:28 - Dieter Egert

upto now you have 2 possibilities to use HTML in redmine's wiki:

Plugin 'Redmine Wiki HTML Util'

Allows you to embedd RAW HTML into your wiki, load stylesheets and javascript.

Made for html/css/js by Arlo Carreon (http://www.arlocarreon.com/blog/redmine/redmine-wiki-html-utility )

Creates new macros html() css_url()  js_url()

Extended HTML-formatting in redmine:

your Administrator needs to change

self.filter_styles=false ( in /lib/redmine/wiki_formatting/textile/formatter.rb )

(source: http://docs.redmight.com/projects/1/wiki/5_Formatting_tips_and_tricks )

Then this works:

p{html-code}. text block

It would be nice, just to allow these functionalitites in the base code of redmine.

#3 - 2012-08-19 12:01 - Terence Mill

I think this could be dangerous in terms of security.

Someone could inject code, an do e.g cross site scripting.

Ever owner of a domain should pay attention to offer such features to user's

#4 - 2020-01-30 10:39 - Go MAEDA

- Category changed from Wiki to Text formatting

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

http://www.arlocarreon.com/blog/redmine/redmine-wiki-html-utility
http://docs.redmight.com/projects/1/wiki/5_Formatting_tips_and_tricks
http://www.tcpdf.org

